Use this API endpoint to upload a package to the built-in workspace package store. Every workspace has its own package store.
This endpoint accepts files and text data at the same time. For this reason you must send the payload as form-data. Read more on MDN: Sending form data - Learn web development | MDNSupported package types:
This endpoint will read uploaded file name to determine:
major.minor.patch-[pre-release]Example
Uploading a file namedJawsDeploy-package.1.0.5-RC2.nupkgwill result in the following:
Package ID: JawsDeploy-package
Version: 1.0.5-RC2
Type: NuGet
When sending the request make sure the file name follows the naming and versioning scheme explained above. The file name is important to identify the package and version correctly and avoid unnecessary duplicates in the package store. JawsDeploy supports multiple versions of the same package stored in the built-in workspace package store.
POST /packagestore/package
Content-Type: multipart/form-data; boundary=<calculatePerRequest>
workspaceId=f17ed947-8f62-4984-9f6d-ed9d7413966f
<PackgeFile>